1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Plesk 9.x Install Problem with PHP error Help!

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by Joop Cousteau, Apr 23, 2009.

  1. Joop Cousteau

    Joop Cousteau Guest

    0
     
    Ok, I use Yum and things are always up2date. The OS is 64 bit Centos. I get this message back when I try to install:

    Retrieving information about the installed packages...
    Downloading the file PSA_9.0.1/update-rpm-CentOS-5-x86_64/update-9.0.1-cos5-x86_64.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Downloading the file PSA_9.0.1/dist-rpm-CentOS-5-x86_64/build-9.0.1-cos5-x86_64.hdr.gz: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% done.
    Downloading the file PSA_9.0.1/thirdparty-rpm-CentOS-5-x86_64/thirdparty-9.0.1-cos5-x86_64.hdr.gz: 11%..20%..32%..41%..50%..61%..70%..82%..91%..100% done.
    Determining the packages that need to be installed.
    ERROR: You have a newer version of the php-common package installed on your system.
    The installation will not continue.

    It seems that you installed latest packages from your operating system vendor's
    site. To install the product packages successfully, you need to point the
    auto-installer to the vendor's package repository. To do this, create a text
    file with name .autoinstallerrc in the /root/ directory on the server, and add
    the following line to the file:

    ADDITIONAL_SOURCE="<type>, <priority>, <url>, <username>, <password>"

    where you should replace <type> with "repomd" value, <priority> with a number from
    1 to 999 (999 is the highest priority), and <url> with a URL of the vendor
    updates source. The values <username> and <password> are required
    only if your vendor's site requires authentication. Save the file and
    exit from the text editor. Then run the auto-installer again.
    Not all packages were installed.
    Please, resolve the above problem and try installing the packages again.
    If you cannot resolve the problem on your own, contact product technical support for assistance.


    Php seems fine So any can tell me what I can do to fix this? Thanks.
     
  2. Denis Sirochenko

    Denis Sirochenko Guest

    0
     
  3. MahmutC

    MahmutC Guest

    0
     
    I'm trying to install Parallels Plesk Panel 9.5.2 for Linux/Unix on Centos 5.5 and I get the same Error. How can I find the /root/directory file of Centos to paste the text file??? Can anybody help me please?
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Did you tried command
    mentioned in KB article?
     
  5. MahmutC

    MahmutC Guest

    0
     
    I tried this command :

    echo 'ADDITIONAL_SOURCE="repomd, 500, http://mirror.centos.org/centos/5/updates/i386/"' >> /root/.autoinstallerrc

    is it different than yours? Should I leave the URL box like in your command??

    I tried every type of this command but unfortunately it's still same. Neither "repomd" nor "repodata" is working.

    I give the command before I begin to install the plesk panel, I think it's not wrong.
     
    Last edited by a moderator: May 19, 2010
  6. akox

    akox New Pleskian

    22
    57%
    Joined:
    Jun 8, 2006
    Messages:
    16
    Likes Received:
    0
    try this

    Hello,

    you said you have 64bit os? try these two commands.

    echo 'ADDITIONAL_SOURCE="repomd, 500, http://mirror.centos.org/centos/5/updates/x86_64/"' >> /root/.autoinstallerrc

    echo 'ADDITIONAL_SOURCE="repomd, 499, http://mirror.centos.org/centos/5/os/x86_64/"' >> /root/.autoinstallerrc


    check also if you should use another URL. ex ../5.4/.....

    Aris
     
    Last edited: May 19, 2010
  7. MahmutC

    MahmutC Guest

    0
     
    No, I have 32Bit Windows Vista Home Basic OS. The command which is below, I got from an internet site :

    echo 'ADDITIONAL_SOURCE="repomd, 500, http://mirror.centos.org/centos/5/updates/i386/"' >> /root/.autoinstallerrc

    That's why I tried this. "100" or "500" Priority numbers are giving the same result. It's still same. Is it because of my latest Centos Version (5.5) Or latest Plesk Panel Version (9.5.2)? I'll try with Plesk Panel 9.5.1
     
  8. akox

    akox New Pleskian

    22
    57%
    Joined:
    Jun 8, 2006
    Messages:
    16
    Likes Received:
    0
    you need 2 lines. one for the "updates" and one for the core "os"
     
  9. MahmutC

    MahmutC Guest

    0
     
  10. MahmutC

    MahmutC Guest

    0
     
    I have succeeded to set it up by your commands Aris; but at the end of the installation, I got this error :

    Installing the package psa-fcgi-2.4.0-2.i386
    ERROR: Failed to execute a package installation command.
    The executed process was terminated because of unhandled signal received from the system.
    Warning! Not all packages were installed.
    Please check if your system services are operable.
    Please try installing packages again later.
    Please resolve this issue and try installing the packages again.
    If you cannot resolve the issue on your own, contact product technical support for assistance.
    [root@localhost ~]#


    And the plesk panel is not opening. Is there any solution for this error?
    Should I install an older version of plesk panel or should I change my OS version into an older one?
     
  11. akox

    akox New Pleskian

    22
    57%
    Joined:
    Jun 8, 2006
    Messages:
    16
    Likes Received:
    0
    check file /tmp/autoinstaller3.log for errors. You could find useful logfiles in /tmp. if not try
    echo DEBUG="yes" >> /root/.autoinstallerrc

    rerun plesk installation and check again for logfiles
     
  12. MahmutC

    MahmutC Guest

    0
     
    Hi Aris, first of all thanks, your "echo DEBUG="yes" >> /root/.autoinstallerrc" command solved the problem and I setup the plesk panel but I cannot open my panel neither with "https://localhost.localdomain:8443" nor with "https://127.0.0.1:8443"

    I really don't know what's wrong. Everything looks ok, everything is up to date. Do you have a clue? I hope, I can host my domain soon.

    Even these commands are not working :

    # vzctl set 101 --offline_management=yes --save
    # vzctl set 101 --offline_management=no --save

    Result of the command is; "-bash: vzctl: command not found"
     
    Last edited by a moderator: May 20, 2010
  13. akox

    akox New Pleskian

    22
    57%
    Joined:
    Jun 8, 2006
    Messages:
    16
    Likes Received:
    0
    I don't have a clue. you should read the logfile carefully to find out what's happening, or maybe try to install manually the missing packages.
     
  14. Hakan ULUG

    Hakan ULUG Guest

    0
     
    Hello, plesk 9.5.1 plesk server installation files not shoot when I got the error

    N) Install packages;
    S) Show a list of packages; L) Return to primary components list;
    Q) Cancel installing;
    Select an action [N]:
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/plesk-base-9.5.3-cos5.build95101022.10.x86_64.rpm: was skipped because of md5 checksum match.
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/plesk-skins-9.5.3-0.293097.noarch.rpm: was skipped because of md5 checksum match.
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/psa-9.5.3-cos5.build95101022.10.x86_64.rpm: was skipped because of md5 checksum match.
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/psa-api-9.5.3-cos5.build95101022.10.noarch.rpm: was skipped because of md5 checksum match.
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/psa-awstats-configurator-1.0.0-cos5.build95101022.10.noarch.rpm: was skipped because of md5 checksum match.
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/psa-fcgi-2.4.0-2.x86_64.rpm: 10%..20%..30%..40%..50%..60%..70%..80%..90%..100% was finished.
    File downloading PSA_9.5.3/dist-rpm-CentOS-5-x86_64/base/psa-libpam-plesk-9.5.3-cos5.build95101022.10.x86_64.rpm: ERROR: Failed to download the package http://autoinstall.plesk.com/PSA_9....plesk-9.5.3-cos5.build95101022.10.x86_64.rpm:
    couldn't connect to host
    Not all packages were installed.
    Please try installing packages again later.
    Please resolve this issue and try installing the packages again.
    If you cannot resolve the issue on your own, contact product technical support for assistance.
    [root@localhttnetdc ~]#
     
  15. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Are you sure that host autoinstall.plesk.com is resolvable and accessible from your server?
     
Loading...